@echo off
echo.
echo ::: Project Filing Structure creation utility	:::
echo ::: version 02-27-2014					:::
echo ::: by Michael Otte				:::
echo. 

REM	this section sets up the source and targets		
:start
Set cadstandards="C:\Resources\CityWorkspace_V8i_SS4"
Set template="C:\Resources\ProjNo"
Set projsyd="C:\Projects"

SET /P proj_number=What is the project number? (123456)

if exist %projsyd%\%proj_number%.* goto error
echo.
echo This project already exists!
echo.

rem echo.>%proj_number%.pcf
xcopy %cadstandards%\WorkSpace\Projects\ProjNo*.* %cadstandards%\WorkSpace\Projects\%proj_number%*.* /Y

xcopy %template%\*.* %projsyd%\%proj_number%\*.* /d /s /y /e

RENAME %projsyd%\%proj_number%\"Bid Package"\ProjNo*.* %proj_number%*.*
RENAME %projsyd%\%proj_number%\Design\Base\ProjNo*.* %proj_number%*.*
RENAME %projsyd%\%proj_number%\Design\Sheets\General\ProjNo*.* %proj_number%*.*
RENAME %projsyd%\%proj_number%\Design\Sheets\row\ProjNo*.* %proj_number%*.*
RENAME %projsyd%\%proj_number%\Design\Resources\Cell\ProjNo*.* %proj_number%*.*
RENAME %projsyd%\%proj_number%\Design\Resources\Plot\ProjNo*.* %proj_number%*.*
RENAME %projsyd%\%proj_number%\Survey\GEOPAK\ProjNo*.* %proj_number%*.*

ECHO Finished.
ECHO goto DONE

REM	this section returns an error if the job already exists
:error
echo.
echo This project already exists!
echo.

pause
